IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/28
Addresses2^100
/64 networks2^36
- Network
2002:390::/28- First address
2002:390::- Last address
2002:39f:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,267,650,600,228,229,401,496,703,205,376 (2^100)
- /64 networks (LANs)
- 68,719,476,736 (2^36)
- Full form
2002:0390:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
9.3.0.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:390::/28 makes 256 subnets of /36.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:390::/36 | 2002:390:fff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:390:1000::/36 | 2002:390:1fff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:390:2000::/36 | 2002:390:2fff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:390:3000::/36 | 2002:390:3fff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:390:4000::/36 | 2002:390:4fff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:390:5000::/36 | 2002:390:5fff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:390:6000::/36 | 2002:390:6fff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:390:7000::/36 | 2002:390:7fff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:390:8000::/36 | 2002:390:8fff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:390:9000::/36 | 2002:390:9fff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:390:a000::/36 | 2002:390:afff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:390:b000::/36 | 2002:390:bfff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:390:c000::/36 | 2002:390:cfff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:390:d000::/36 | 2002:390:dfff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:390:e000::/36 | 2002:390:efff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:390:f000::/36 | 2002:390:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:391::/36 | 2002:391:fff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:391:1000::/36 | 2002:391:1fff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:391:2000::/36 | 2002:391:2fff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:391:3000::/36 | 2002:391:3fff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:391:4000::/36 | 2002:391:4fff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:391:5000::/36 | 2002:391:5fff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:391:6000::/36 | 2002:391:6fff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:391:7000::/36 | 2002:391:7fff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:391:8000::/36 | 2002:391:8fff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:391:9000::/36 | 2002:391:9fff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:391:a000::/36 | 2002:391:afff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:391:b000::/36 | 2002:391:bfff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:391:c000::/36 | 2002:391:cfff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:391:d000::/36 | 2002:391:dfff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:391:e000::/36 | 2002:391:efff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:391:f000::/36 | 2002:391:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:392::/36 | 2002:392:fff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:392:1000::/36 | 2002:392:1fff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:392:2000::/36 | 2002:392:2fff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:392:3000::/36 | 2002:392:3fff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:392:4000::/36 | 2002:392:4fff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:392:5000::/36 | 2002:392:5fff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:392:6000::/36 | 2002:392:6fff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:392:7000::/36 | 2002:392:7fff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:392:8000::/36 | 2002:392:8fff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:392:9000::/36 | 2002:392:9fff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:392:a000::/36 | 2002:392:afff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:392:b000::/36 | 2002:392:bfff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:392:c000::/36 | 2002:392:cfff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:392:d000::/36 | 2002:392:dfff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:392:e000::/36 | 2002:392:efff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:392:f000::/36 | 2002:392:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:393::/36 | 2002:393:fff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:393:1000::/36 | 2002:393:1fff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:393:2000::/36 | 2002:393:2fff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:393:3000::/36 | 2002:393:3fff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:393:4000::/36 | 2002:393:4fff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:393:5000::/36 | 2002:393:5fff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:393:6000::/36 | 2002:393:6fff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:393:7000::/36 | 2002:393:7fff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:393:8000::/36 | 2002:393:8fff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:393:9000::/36 | 2002:393:9fff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:393:a000::/36 | 2002:393:afff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:393:b000::/36 | 2002:393:bfff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:393:c000::/36 | 2002:393:cfff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:393:d000::/36 | 2002:393:dfff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:393:e000::/36 | 2002:393:efff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:393:f000::/36 | 2002:393:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:394::/36 | 2002:394:fff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:394:1000::/36 | 2002:394:1fff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:394:2000::/36 | 2002:394:2fff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:394:3000::/36 | 2002:394:3fff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:394:4000::/36 | 2002:394:4fff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:394:5000::/36 | 2002:394:5fff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:394:6000::/36 | 2002:394:6fff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:394:7000::/36 | 2002:394:7fff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:394:8000::/36 | 2002:394:8fff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:394:9000::/36 | 2002:394:9fff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:394:a000::/36 | 2002:394:afff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:394:b000::/36 | 2002:394:bfff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:394:c000::/36 | 2002:394:cfff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:394:d000::/36 | 2002:394:dfff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:394:e000::/36 | 2002:394:efff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:394:f000::/36 | 2002:394:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:395::/36 | 2002:395:fff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:395:1000::/36 | 2002:395:1fff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:395:2000::/36 | 2002:395:2fff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:395:3000::/36 | 2002:395:3fff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:395:4000::/36 | 2002:395:4fff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:395:5000::/36 | 2002:395:5fff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:395:6000::/36 | 2002:395:6fff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:395:7000::/36 | 2002:395:7fff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:395:8000::/36 | 2002:395:8fff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:395:9000::/36 | 2002:395:9fff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:395:a000::/36 | 2002:395:afff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:395:b000::/36 | 2002:395:bfff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:395:c000::/36 | 2002:395:cfff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:395:d000::/36 | 2002:395:dfff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:395:e000::/36 | 2002:395:efff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:395:f000::/36 | 2002:395:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:396::/36 | 2002:396:fff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:396:1000::/36 | 2002:396:1fff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:396:2000::/36 | 2002:396:2fff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:396:3000::/36 | 2002:396:3fff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:396:4000::/36 | 2002:396:4fff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:396:5000::/36 | 2002:396:5fff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:396:6000::/36 | 2002:396:6fff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:396:7000::/36 | 2002:396:7fff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:396:8000::/36 | 2002:396:8fff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:396:9000::/36 | 2002:396:9fff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:396:a000::/36 | 2002:396:afff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:396:b000::/36 | 2002:396:bfff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:396:c000::/36 | 2002:396:cfff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:396:d000::/36 | 2002:396:dfff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:396:e000::/36 | 2002:396:efff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:396:f000::/36 | 2002:396:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:397::/36 | 2002:397:fff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:397:1000::/36 | 2002:397:1fff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:397:2000::/36 | 2002:397:2fff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:397:3000::/36 | 2002:397:3fff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:397:4000::/36 | 2002:397:4fff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:397:5000::/36 | 2002:397:5fff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:397:6000::/36 | 2002:397:6fff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:397:7000::/36 | 2002:397:7fff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:397:8000::/36 | 2002:397:8fff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:397:9000::/36 | 2002:397:9fff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:397:a000::/36 | 2002:397:afff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:397:b000::/36 | 2002:397:bfff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:397:c000::/36 | 2002:397:cfff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:397:d000::/36 | 2002:397:dfff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:397:e000::/36 | 2002:397:efff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:397:f000::/36 | 2002:397:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:398::/36 | 2002:398:fff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:398:1000::/36 | 2002:398:1fff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:398:2000::/36 | 2002:398:2fff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:398:3000::/36 | 2002:398:3fff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:398:4000::/36 | 2002:398:4fff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:398:5000::/36 | 2002:398:5fff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:398:6000::/36 | 2002:398:6fff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:398:7000::/36 | 2002:398:7fff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:398:8000::/36 | 2002:398:8fff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:398:9000::/36 | 2002:398:9fff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:398:a000::/36 | 2002:398:afff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:398:b000::/36 | 2002:398:bfff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:398:c000::/36 | 2002:398:cfff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:398:d000::/36 | 2002:398:dfff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:398:e000::/36 | 2002:398:efff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:398:f000::/36 | 2002:398:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:399::/36 | 2002:399:fff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:399:1000::/36 | 2002:399:1fff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:399:2000::/36 | 2002:399:2fff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:399:3000::/36 | 2002:399:3fff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:399:4000::/36 | 2002:399:4fff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:399:5000::/36 | 2002:399:5fff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:399:6000::/36 | 2002:399:6fff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:399:7000::/36 | 2002:399:7fff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:399:8000::/36 | 2002:399:8fff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:399:9000::/36 | 2002:399:9fff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:399:a000::/36 | 2002:399:afff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:399:b000::/36 | 2002:399:bfff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:399:c000::/36 | 2002:399:cfff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:399:d000::/36 | 2002:399:dfff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:399:e000::/36 | 2002:399:efff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:399:f000::/36 | 2002:399:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:39a::/36 | 2002:39a:fff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:39a:1000::/36 | 2002:39a:1fff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:39a:2000::/36 | 2002:39a:2fff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:39a:3000::/36 | 2002:39a:3fff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:39a:4000::/36 | 2002:39a:4fff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:39a:5000::/36 | 2002:39a:5fff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:39a:6000::/36 | 2002:39a:6fff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:39a:7000::/36 | 2002:39a:7fff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:39a:8000::/36 | 2002:39a:8fff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:39a:9000::/36 | 2002:39a:9fff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:39a:a000::/36 | 2002:39a:afff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:39a:b000::/36 | 2002:39a:bfff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:39a:c000::/36 | 2002:39a:cfff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:39a:d000::/36 | 2002:39a:dfff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:39a:e000::/36 | 2002:39a:efff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:39a:f000::/36 | 2002:39a:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:39b::/36 | 2002:39b:fff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:39b:1000::/36 | 2002:39b:1fff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:39b:2000::/36 | 2002:39b:2fff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:39b:3000::/36 | 2002:39b:3fff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:39b:4000::/36 | 2002:39b:4fff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:39b:5000::/36 | 2002:39b:5fff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:39b:6000::/36 | 2002:39b:6fff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:39b:7000::/36 | 2002:39b:7fff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:39b:8000::/36 | 2002:39b:8fff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:39b:9000::/36 | 2002:39b:9fff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:39b:a000::/36 | 2002:39b:afff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:39b:b000::/36 | 2002:39b:bfff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:39b:c000::/36 | 2002:39b:cfff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:39b:d000::/36 | 2002:39b:dfff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:39b:e000::/36 | 2002:39b:efff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:39b:f000::/36 | 2002:39b:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:39c::/36 | 2002:39c:fff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:39c:1000::/36 | 2002:39c:1fff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:39c:2000::/36 | 2002:39c:2fff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:39c:3000::/36 | 2002:39c:3fff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:39c:4000::/36 | 2002:39c:4fff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:39c:5000::/36 | 2002:39c:5fff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:39c:6000::/36 | 2002:39c:6fff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:39c:7000::/36 | 2002:39c:7fff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:39c:8000::/36 | 2002:39c:8fff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:39c:9000::/36 | 2002:39c:9fff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:39c:a000::/36 | 2002:39c:afff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:39c:b000::/36 | 2002:39c:bfff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:39c:c000::/36 | 2002:39c:cfff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:39c:d000::/36 | 2002:39c:dfff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:39c:e000::/36 | 2002:39c:efff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:39c:f000::/36 | 2002:39c:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:39d::/36 | 2002:39d:fff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:39d:1000::/36 | 2002:39d:1fff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:39d:2000::/36 | 2002:39d:2fff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:39d:3000::/36 | 2002:39d:3fff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:39d:4000::/36 | 2002:39d:4fff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:39d:5000::/36 | 2002:39d:5fff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:39d:6000::/36 | 2002:39d:6fff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:39d:7000::/36 | 2002:39d:7fff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:39d:8000::/36 | 2002:39d:8fff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:39d:9000::/36 | 2002:39d:9fff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:39d:a000::/36 | 2002:39d:afff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:39d:b000::/36 | 2002:39d:bfff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:39d:c000::/36 | 2002:39d:cfff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:39d:d000::/36 | 2002:39d:dfff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:39d:e000::/36 | 2002:39d:efff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:39d:f000::/36 | 2002:39d:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:39e::/36 | 2002:39e:fff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:39e:1000::/36 | 2002:39e:1fff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:39e:2000::/36 | 2002:39e:2fff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:39e:3000::/36 | 2002:39e:3fff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:39e:4000::/36 | 2002:39e:4fff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:39e:5000::/36 | 2002:39e:5fff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:39e:6000::/36 | 2002:39e:6fff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:39e:7000::/36 | 2002:39e:7fff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:39e:8000::/36 | 2002:39e:8fff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:39e:9000::/36 | 2002:39e:9fff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:39e:a000::/36 | 2002:39e:afff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:39e:b000::/36 | 2002:39e:bfff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:39e:c000::/36 | 2002:39e:cfff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:39e:d000::/36 | 2002:39e:dfff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:39e:e000::/36 | 2002:39e:efff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:39e:f000::/36 | 2002:39e:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:39f::/36 | 2002:39f:fff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:39f:1000::/36 | 2002:39f:1fff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:39f:2000::/36 | 2002:39f:2fff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:39f:3000::/36 | 2002:39f:3fff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:39f:4000::/36 | 2002:39f:4fff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:39f:5000::/36 | 2002:39f:5fff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:39f:6000::/36 | 2002:39f:6fff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:39f:7000::/36 | 2002:39f:7fff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:39f:8000::/36 | 2002:39f:8fff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:39f:9000::/36 | 2002:39f:9fff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:39f:a000::/36 | 2002:39f:afff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:39f:b000::/36 | 2002:39f:bfff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:39f:c000::/36 | 2002:39f:cfff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:39f:d000::/36 | 2002:39f:dfff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:39f:e000::/36 | 2002:39f:efff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:39f:f000::/36 | 2002:39f:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |